JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CodeTokeniser Class Referenceabstract
juce_gui_extra » code_editor

A base class for tokenising code so that the syntax can be displayed in a code editor. More...

`#include <juce_CodeTokeniser.h>`

Inheritance diagram for CodeTokeniser:

## Public Member Functions
| CodeTokeniser ()=default
virtual | ~CodeTokeniser ()=default
virtual int | readNextToken (CodeDocument::Iterator &source)=0
| Reads the next token from the source and returns its token type.
virtual CodeEditorComponent::ColourScheme | getDefaultColourScheme ()=0
| Returns a suggested syntax highlighting colour scheme.

## Detailed Description

A base class for tokenising code so that the syntax can be displayed in a code editor.

See also
  CodeDocument, CodeEditorComponent

## Constructor & Destructor Documentation

## ◆ CodeTokeniser()

CodeTokeniser::CodeTokeniser | ( |  | ) |
| default

## ◆ ~CodeTokeniser()

virtual CodeTokeniser::~CodeTokeniser | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ readNextToken()

virtual int CodeTokeniser::readNextToken | ( | CodeDocument::Iterator & | source | ) |
| pure virtual

Reads the next token from the source and returns its token type.

This must leave the source pointing to the first character in the next token.

Implemented in CPlusPlusCodeTokeniser, LuaTokeniser, and XmlTokeniser.

## ◆ getDefaultColourScheme()

virtual CodeEditorComponent::ColourScheme CodeTokeniser::getDefaultColourScheme | ( |  | ) |
| pure virtual

Returns a suggested syntax highlighting colour scheme.

Implemented in CPlusPlusCodeTokeniser, LuaTokeniser, and XmlTokeniser.

The documentation for this class was generated from the following file:

- juce_CodeTokeniser.h